<html>
    <head>
        <link rel="stylesheet" href="input.css">
        
    </head>
    <body>
        <p>
            Второй способ объявления js кода в html с помощью ссылки из вне. это может быть файл рядом,
             либо в другом файле. Соответственно синтаксис вызова будет разным. 
        </p>
        <input id="demo" class="inp">
        <script src="js/input.js"></script>
    </body>
</html>